from datetime import timedelta

class Config(object):
	DEBUG = False
	TESTING = False
	DATABASE_URI = 'sqlite:///:memory:'

class ProductionConfig(Config):
   DATABASE_URI      = 'mysql+pymysql://numerotech_primary_db:ZpUQPsv+ANMz@207.148.116.149/numerotech_primary_db?charset=utf8mb4'
#   DATABASE_URI      = 'mysql+pymysql://numerotech_primary_db:ZpUQPsv+ANMz@190.92.137.198:3306/numerote_primary_db?charset=utf8mb4'
#   DATABASE_URI = 'mysql+mysqldb://root:@127.0.0.1:3307/numerotec_primary_db_v4?charset=utf8mb4'
   BASE_URL     = 'http://127.0.0.1:5000'
   UPLOAD_FOLDER = '/static/uploads'

   SESSION_TYPE = 'filesystem'
   PERMANENT_SESSION_LIFETIME = timedelta(minutes=120)

class DevelopmentConfig(Config):
	DEBUG = True

class SECRET_KEY(Config):
	SECRET_KEY = '5678906567890543346789976565'
