from core import app
from flask import session
from core.model.UserModel import UserModel

"""
Author : Sridharan.R
Date   : 2022-Feb-22 
Usage  : session login   
"""
class Auth:

	def login(logindata,society_id):
		session['login_'+str(society_id)] = logindata 
		return session.get('login_'+str(society_id),None)

	def bo_login(bodata,society_id):
		session['bo_'+str(society_id)] = bodata
		return session.get('bo_'+str(society_id),None)

	def bo_logout(society_id):
		session.pop('bo_'+str(society_id), None)
		return True
	
	def user(society_id):
		return session.get('login_'+str(society_id),None)

	def check(society_id):
		if session.get('login_'+str(society_id),None):
			return True
		else:
			return False		

	def bo_check(society_id):
		if session.get('bo_'+str(society_id),None):
			return True
		else:
			return False		
	
	def logout(society_id):
		session.pop('login_'+str(society_id), None)
		return True

	def checkAppLock(society_id,society_key):
		society=UserModel().get_society(society_id,society_key)
		# if society['app_lock_at']:
		# print(society)
		if society:
			return True
		else:
			return False


	def checkSocietybyIdKey(society_id,society_key):
		set_society = 1
		society = Auth.getSociety(society_id)
		if society:
			if Auth.getSociety(society_id)["society_id"] == society_id:
				set_society = 0
				return society
		if set_society == 1:
			society = UserModel().get_society(society_id,society_key)
			return	Auth.setSociety(society,society_id)
		else:
			return None

	def getSociety(society_id):
		return session.get('society_'+str(society_id),None)

	def setSociety(soceitydata,society_id):
		session['society_'+str(society_id)] = soceitydata 
		return session.get('society_'+str(society_id),None)

app.jinja_env.globals.update(Auth=Auth)	
