from flask import request, url_for,flash, render_template,redirect
from core import app
from flask import url_for
from datetime import datetime, date, time, timedelta
import requests,mandrill,json
from core.library.auth import Auth
import sib_api_v3_sdk
from sib_api_v3_sdk.rest import ApiException

class Bravo:  
	def sendMail(subject,html,to,mailData,societyData):
		
		if societyData:
			bcc_mails 		= societyData['e_backup_mails']
			from_mail_name 	= societyData['society_intial']+ ' - Profile Update'
			from_mail_id 	= societyData['e_from_mail_id']
			reply_mail_id 	= societyData['e_reply_mail_id']
			reply_mail_name = "support"
			
			if mailData and type(mailData) != "dict":
				mailData = dict(mailData._mapping)
				
			if mailData: 
				if mailData['bcc_mails'] is not  None:
					bcc_mails = mailData['bcc_mails']	
				if mailData['from_mail_name'] is not None :
					from_mail_name = mailData['from_mail_name']
				if mailData['from_mail_id'] is not None :
					from_mail_id = mailData['from_mail_id']
				if mailData['reply_mail_id'] is not None :
					reply_mail_id = mailData['reply_mail_id']
				if mailData['reply_mail_name'] :
					reply_mail_name = mailData['reply_mail_name']
			
			# for sending backup mails 
			if mailData and mailData['is_send_backup']:
				if int(mailData.get('is_send_backup',0))==1:
					bcc = bcc_mails
				else:
					bcc = []
			else:
				bcc = []
				
			if mailData and mailData.get('CC'):
				cc = mailData.get('CC')
			else:
				cc = []
			bcc_list = []
			if bcc:
				bcc = list(bcc.split(","))
				for i in bcc:
					bcc_list.append({'email':i})
			cc_list = []
			if cc:
				cc = list(cc.split(","))
				for i in cc:
					cc_list.append({'email':i})
			
			configuration = sib_api_v3_sdk.Configuration()
# 			configuration.api_key['api-key'] = confData['secret_key']
			configuration.api_key['api-key'] = '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'
			api_instance = sib_api_v3_sdk.TransactionalEmailsApi(sib_api_v3_sdk.ApiClient(configuration))
			sender = {"name":from_mail_name,"email":from_mail_id}
			to = [{"email":to}]
			cc = cc_list
			bcc = bcc_list
			reply_to = {"email":reply_mail_id,"name":reply_mail_name}
			if bcc_list and cc_list:
				send_smtp_email = sib_api_v3_sdk.SendSmtpEmail(to=to, bcc=bcc_list, cc=cc_list, reply_to=reply_to, html_content=html, sender=sender, subject=subject)
			elif bcc_list:
				send_smtp_email = sib_api_v3_sdk.SendSmtpEmail(to=to, bcc=bcc_list, reply_to=reply_to, html_content=html, sender=sender, subject=subject)
			elif cc_list:
				send_smtp_email = sib_api_v3_sdk.SendSmtpEmail(to=to, cc=cc_list, reply_to=reply_to, html_content=html, sender=sender, subject=subject)
			else:
				send_smtp_email = sib_api_v3_sdk.SendSmtpEmail(to=to, reply_to=reply_to, html_content=html, sender=sender, subject=subject)

			try:
				api_response = api_instance.send_transac_email(send_smtp_email)
				print(api_response)
				return("success")
				
			except ApiException as e:
				print("Exception when calling SMTPApi->send_transac_email: %s\n" % e)
				return("fail")